diff --git a/sound/pci/ymfpci/ymfpci_main.c b/sound/pci/ymfpci/ymfpci_main.c
index 12a9a2b..83926e6 100644
--- a/sound/pci/ymfpci/ymfpci_main.c
+++ b/sound/pci/ymfpci/ymfpci_main.c
@@ -2358,6 +2358,13 @@ int snd_ymfpci_resume(struct pci_dev *pci)
 		chip->active_bank = snd_ymfpci_readl(chip, YDSXGR_CTRLSELECT);
 		spin_unlock_irq(&chip->reg_lock);
 	}
+	
+	if (chip->fm_res) {
+		pci_read_config_word(pci, PCIR_DSXG_LEGACY, &legacy_ctrl);
+		legacy_ctrl &= ~YMFPCI_LEGACY_LAD;
+		pci_write_config_word(pci, PCIR_DSXG_LEGACY, legacy_ctrl);
+	}
+
 	snd_power_change_state(card, SNDRV_CTL_POWER_D0);
 	return 0;
 }
